WHATIS(1)

NAMA
whatis - menampilkan deskripsi halaman buku panduan

RINGKASAN
whatis [-dlhvV] [-r|-w] [-s bagian] [-m sistem[,...]] [-M jalur] [-L lokal] [-C berkas] nama ...

DESKRIPSI
Setiap halaman buku panduan memiliki sebuah deskripsi singkat tersedia didalamnya. whatis mencari nama halaman buku panduan dan menampilkan deskripsi halaman buku panduan dari nama apapun yang cocok.

nama mungkin berisi karakter bebas (-w) atau berupa sebuah ekpresi umum (-r). Menggunakan pilihan ini, mungkin diperlukan untuk quote nama atau escape (\) karakter spesial untuk menghentikan shell dari mengintepretasikannya.

indeks basis data digunakan selama pencarian, dan perbarui oleh aplikasi mandb. Tergantung dari pemasangan anda, ini mungkin dijalankan oleh sebuah pekerjaan periodik cron, atau mungkin butuh dijalankan secara buku panduan setelah halaman buku panduan baru telah terpasang. Untuk menghasilkan teks gaya lama whatis basis data dari relatif index basis data, berikan perintah:

whatis -M jalur man -w '*' | sort > jalur man/whatis

dimana jalur man adalah sebuah hierarki halaman buku panduan seperti /usr/man.

PILIHAN

-d, --debug
    Tampilkan informasi penelusuran.

-v, --verbose
    Tampilkan pesan peringatan bertele-tele.

-r, --regex
    Intepretasikan setiap nama sebagai sebuah ekspresi umum. Jika sebuah nama cocok dengan bagian apapun dari halaman buku panduan, sebuah pencocokan akan dibuat. Pilihan ini menyebabkan whatis mungkin lebih lambat karena cara kerja pencarian basis data.

-w, --wildcard
    Interpretasikan setiap nama sebagai sebuah pola berisi shell style karakter bebas. Untuk sebuah pencocokan untuk dibuat, sebuah nama terekspan harus cocok dengan seluruh nama halaman. Pilihan ini menyebabkan whatis menjadi lebih lambat karena cara kerja dari pencarian basis data.

-l, --long
    Jangan trim keluaran ke lebar terminal. Secara normal, keluaran akan dipotong ke lebar terminal untuk menghindari hasil aneh dari bagian NAMA yang ditulis tidak sempurna.

-s list, --sections=list, --section=list
    Hanya cari di bagian buku panduan yang diberikan. Jika bagian adalah sebuah bagian sederhana, sebagai contoh "3", maka tampilkan daftar dari deskripsi akan memasukan halaman dalam bagian "3", "3perl", "3x", dan selanjutnya; jika bagian memiliki sebuah ekstensi, sebagai contoh "3perl", maka daftar hanya akan memasukan halaman dalam bagian tepat dari bagian buku panduan.

-m sistem[,...], --systems=sistem[,...]
    If this system has access to other operating systems' manual page names, they can be accessed using this option. To search NewOS's manual page names, use the option -m NewOS.

    sistem spesifikasi dapat berupa sebuah kombinasi dari nama sistem operasi dipisahkan dengan koma. Untuk memasukan sebuah pencarian dari nama halaman buku panduan sistem operasi native, masukan nama sistem man dalam argumen string. Pilihan ini akan mengesampingkan variabel lingkungan $SYSTEM.

-M jalur, --manpath=jalur
    Spesifikasikan sebuah alternatif set dari struktur halaman buku panduan dipisahkan oleh kolon ke pencarian. Secara Baku, whatis menggunakan variabel lingkungan $MANPATH, kecuali itu kosong atau tidak diset, dalam beberapa kasus itu akan menentukan sebuah jalur man yang sesuai di variabel lingkungan anda $PATH. Pilihan ini mengesampingkan isi dari $MANPATH.

-L lokal, --locale=lokal
    whatis akan secara normal menentukan lokal anda sekarang dengan sebuah panggilan ke fungsi setlocale(3) yang menanyakan berbagai variabel lingkungan, kemungkinan termasuk $LC_MESSAGES dan $LANG. Untuk memaksa sementara ke nilai yang telah ditentukan, gunakan pilihan ini untuk mensuplai sebuah string lokal secara langsung ke whatis. Catat bahwa itu tidak akan berpengaruh sampai pencarian untuk halaman benar benar dimulai. Pesan bantuan akan selalu ditampilkan dalam lokal yang ditentukan diawal.

-C berkas, --config-file=berkas
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Tampilkan sebuah pesan bantuan dan keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

STATUS KELUAR

0   Eksekusi aplikasi sukses.

1   Penggunaan, sintaks atau berkas konfigurasi error.

2   Operasional error.

16  Tidak ditemukan apapun yang cocok dengan kriteria yang dispesifikasikan.

LINGKUNGAN

SYSTEM
    Jika $SYSTEM telah diset, ini akan memiliki efek sama seperti jika ini telah dispesifikasikan sebagai argumen ke pilihan -m.

MANPATH
    Jika $MANPATH telah diset, nilainya diinterpretasikan sebagai struktur jalur pencarian halaman buku panduan dipisahkan dengan kolon untuk digunakan.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if all else fails.

BERKAS

/usr/share/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh tradisional.

/var/cache/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh sesuai dengan FHS.

/usr/share/man/.../whatis
    Sebuah basis data teks whatis tradisional.

LIHAT JUGA
apropos(1), man(1), mandb(8)

PENGARANG
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BUGS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db